# Uses of Class
com.ngrok.definitions.TunnelSession

Packages that use TunnelSession
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of TunnelSession in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type TunnelSession
  Modifier and Type
  Method
  Description
  `List<TunnelSession>`
  TunnelSessionList.`getTunnelSessions()`
  list of all tunnel sessions on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type TunnelSession
  Modifier
  Constructor
  Description
  ``
  `TunnelSessionList(List<TunnelSession> tunnelSessions, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `TunnelSessionList`.

- ## Uses of TunnelSession in com.ngrok.services

  Methods in com.ngrok.services that return TunnelSession
  Modifier and Type
  Method
  Description
  `TunnelSession`
  TunnelSessions.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type TunnelSession
  Modifier and Type
  Method
  Description
  `CompletionStage<TunnelSession>`
  TunnelSessions.GetCallBuilder.`call()`
  Initiates the API call asynchronously.